ByCloud Docs
GuidesCLIAPISDK
delete/v1/zones/{zone_id}

Delete zone

Delete a DNS zone

Path Parameters

zone_id

string<uuid>required

path

DNS Zone ID

Example: "550e8400-e29b-41d4-a716-446655440000"

Responses

202

Zone deletion initiated

Content-Type: application/json

zone

objectoptional
401

Authentication required or token invalid

Content-Type: application/json

error

objectrequired
404

Resource not found

Content-Type: application/json

error

objectrequired
500

Internal server error

Content-Type: application/json

error

objectrequired
curl -X DELETE "https://api.spo1.mycloud.com/v1/zones/550e8400-e29b-41d4-a716-446655440000" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json"

Response

Zone deletion initiated

{
"zone": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"crn": "crn:spo1:dns:zone:550e8400-e29b-41d4-a716-446655440000",
"name": "example.com.",
"description": "Main domain zone",
"status": "ACTIVE",
"action": "NONE",
"type": "PRIMARY",
"email": "admin@example.com",
"ttl": 3600,
"serial": 2024011501,
"pool_id": "550e8400-e29b-41d4-a716-446655440000",
"masters": [
"string"
],
"attributes": {},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}